
#ifndef _F_FEVERMETER_H
#define _F_FEVERMETER_H

#include "engine/text.h"

namespace fingers
{

	class fFeverMeter
	{
	public:
		float	amount;
		float	max;
		bool	bonus;

		fFeverMeter();

		void addFever(int score);
		int getFeverLevel();
		void render(unsigned int texture);
		void update(float dt);
	};

}

#endif // _F_FEVERMETER_H